# -*- coding: UTF-8 -*-
# -*- Mode: Python; py-indent-offset: 4 -*-
# Authors: Nik Kim <fafhrd@legco.biz> 
"""
$Id: ForumPermissions.py,v 1.12 2004/04/13 08:57:08 fafhrd91 Exp $
"""

from Products.CMFCore.CMFCorePermissions import *

forumManager = 'Forum manager'
forumReviewer = 'Reviewer'
forumReader = 'Forum reader'
forumWriter = 'Forum writer'
replyWriter = 'Reply writer'
topicOwner = 'TopicOwner'
replyOwner = 'ReplyOwner'

forumRoles = (forumManager, forumReviewer, forumReader,
              forumWriter, replyWriter, topicOwner, replyOwner)

setDefaultRoles( View, ( 'Manager', 'Forum Manager', 'Reader' ))
setDefaultRoles( ModifyPortalContent, ( 'Manager', 'Forum Manager' ))

AddTopic = 'CMFBoard: Add forum topic'
setDefaultRoles( AddTopic, ( 'Manager', 'Forum manager' ))

AddTopicReply = 'CMFBoard: Add forum topic reply'
setDefaultRoles( AddTopicReply, ( 'Manager', 'Forum manager', forumReviewer))

AddPoll = 'CMFBoard: Add forum poll'
setDefaultRoles( AddPoll, ( 'Manager', forumManager, forumWriter))

AddAnnouncement = 'CMFBoard: Add forum announce'
setDefaultRoles( AddAnnouncement, ( 'Manager',forumManager,forumReviewer))

ManageForum = 'CMFBoard: Manage forum'
setDefaultRoles( ManageForum, ( 'Manager', 'Forum manager'))

ManageTopic = 'CMFBoard: Manage forum topic'
setDefaultRoles( ManageTopic, ( 'Manager', 'Forum manager', forumReviewer))

ModifyTopic = 'CMFBoard: Modify forum topic'
setDefaultRoles( ModifyTopic, ( 'Manager', 'Forum manager'))

ModifyTopicAttachments = 'CMFBoard: Modify topic attachements'
setDefaultRoles( ModifyTopicAttachments, ( 'Manager', 'Forum manager'))

ModifyReply = 'CMFBoard: Modify forum topic reply'
setDefaultRoles( ModifyReply, ( 'Manager', 'Forum manager'))

ModifyReplyAttachments = 'CMFBoard: Modify reply attachements'
setDefaultRoles( ModifyReplyAttachments, ( 'Manager', 'Forum manager'))

ViewAdminTopic = 'CMFBoard: View admin topic'
setDefaultRoles( ViewAdminTopic, ( 'Manager', 'Forum manager', forumReviewer))

DeleteTopic = 'CMFBoard: Delete forum topic'
setDefaultRoles( DeleteTopic, ( 'Manager', 'Forum manager'))

DeleteReply = 'CMFBoard: Delete forum reply'
setDefaultRoles( DeleteReply, ( 'Manager', 'Forum manager'))
