## script (Python) "forum_get_blog_entries"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=b_start
##title=
##

from DateTime import DateTime

brains = context.portal_catalog(
    path='/'.join(context.getPhysicalPath())+'/',
    sort_on='created', sort_order='reverse', meta_type = 'ForumTopic')

entries = {}

for brain in brains[b_start:b_start+20]:
    try:
        ob = brain.getObject()
    except:
        continue

    created = ob.created()
    date = DateTime('%s/%s/%s'%(created.Month(), created.day(), created.year()))
    l = entries.setdefault(date, [])
    l.append(ob)

entries = entries.items()
entries.sort()
entries.reverse()

return {'entries': entries, 'brains': brains}
