## script (Python) "forum_get_forum_data"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=forum
##title=Get forum topics
##

brains = context.portal_catalog(
    path='/'.join(forum.getPhysicalPath())+'/',
    sort_on='created', sort_order='reverse', sort_limit=1,
    meta_type = ('ForumTopic', 'ForumPoll', 'ForumMessage', 'ForumContentTopic'))

if brains:
    brain = brains[0]
    last_reply = brain.getObject()

    posts = len(forum.forum_catalog())

    return { 'posts': posts, 'hits':forum.RawHits(),
             'replies':forum.repliesCount(),
             'last_reply': last_reply,
             'last_user': brain.Creator,
             'last_user_isanon': last_reply.isAnonymousCreator(),
             'last_mtime': brain.modified, }
else:
    return { 'posts': 0, 'hits': 0, 'replies': 0,
             'last_reply': None, 'last_user': None,
             'last_user_isanon': 0, 'last_mtime': None, }
