## Script (Python) "forum_poll_vote"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=vote=None, unvote=None, answer=0
##title=Vote
##

msg = 'Your vote has been registered.'
vote_result = context.getVote()

if context.isOpen():
    if vote:
        if vote_result:
            msg = 'You have already voted in this poll.'
            return state.set(status='failure', portal_status_message=msg)
        else:
            context.vote(answer)    
    elif unvote:
        if not vote_result:
            msg = 'You haven\'t voted in this poll.'
            return state.set(status='failure', portal_status_message=msg)
        else:    
            context.unvote()
            msg = 'Your vote has been unregistered.'
else:
    msg = 'This poll is closed.'
    return state.set(status='failure', portal_status_message=msg)

return state.set(status='success', portal_status_message=msg)
